{: test that string parameter causes a compilation error
   if the parameter is too long}

program e1075( output );

type
   str = packed array[1..10] of char;


procedure p(s  : str);
begin
end; { p }

begin { e1075 }
   p('1234'); {OK}
   p('12345678901'); {!!! too long}
end. { e1075 }

